Package com.independentsoft.office.spreadsheet

# Class Break

java.lang.Object
com.independentsoft.office.spreadsheet.Break

public class Break extends Object
The Class Break.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Break()`
  Instantiates a new break.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Break`
  `clone()`
  `int`
  `getID()`
  Gets the id.
  `int`
  `getMax()`
  Gets the max.
  `int`
  `getMin()`
  Gets the min.
  `boolean`
  `isManual()`
  Checks if is manual.
  `boolean`
  `isPivotTable()`
  Checks if is pivot table.
  `void`
  `setID​(int id)`
  Sets the id.
  `void`
  `setManual​(boolean isManual)`
  Sets the manual.
  `void`
  `setMax​(int max)`
  Sets the max.
  `void`
  `setMin​(int min)`
  Sets the min.
  `void`
  `setPivotTable​(boolean isPivotTable)`
  Sets the pivot table.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Break

    public Break()
    Instantiates a new break.

- ## Method Details

  - ### clone

    public Break clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getID

    public int getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getMin

    public int getMin()
    Gets the min.
    Returns:
      the min

  - ### setMin

    public void setMin​(int min)
    Sets the min.
    Parameters:
      `min` - the new min

  - ### getMax

    public int getMax()
    Gets the max.
    Returns:
      the max

  - ### setMax

    public void setMax​(int max)
    Sets the max.
    Parameters:
      `max` - the new max

  - ### isManual

    public boolean isManual()
    Checks if is manual.
    Returns:
      true, if is manual

  - ### setManual

    public void setManual​(boolean isManual)
    Sets the manual.
    Parameters:
      `isManual` - the new manual

  - ### isPivotTable

    public boolean isPivotTable()
    Checks if is pivot table.
    Returns:
      true, if is pivot table

  - ### setPivotTable

    public void setPivotTable​(boolean isPivotTable)
    Sets the pivot table.
    Parameters:
      `isPivotTable` - the new pivot table